---
title: get-the-data-of-a-user-provided-edge-config
product: vercel
url: /docs/rest-api/marketplace/get-the-data-of-a-user-provided-edge-config
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-the-data-of-a-user-provided-edge-config on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get the data of a user-provided Edge Config

```http
GET /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/edge-config
```

When the user enabled Edge Config syncing, then this endpoint can be used by the partner to fetch the contents of the Edge Config.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `integrationConfigurationId` | string | Yes |  |
| `resourceId` | string | Yes |  |


## Responses

### 200: The Edge Config data

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "digest",
    "items",
    "updatedAt"
  ],
  "properties": {
    "items": {
      "type": "object",
      "additionalProperties": {
        "nullable": true,
        "oneOf": [
          {
            "type": "string"
          },
          {
            "type": "number"
          },
          {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "description": "(circular reference)"
            }
          },
          {
            "type": "array",
            "items": {
              "type": "object",
              "description": "(circular reference)"
            }
          },
          {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          }
        ]
      }
    },
    "updatedAt": {
      "type": "number"
    },
    "digest": {
      "type": "string"
    },
    "purpose": {
      "type": "string",
      "enum": [
        "flags",
        "experimentation"
      ]
    }
  }
}
```

### 304: No description

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [marketplace endpoints](/docs/rest-api#marketplace)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
